[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# EInvalidPointer

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Invalid pointer operation

## Declaration

Source position: sysutilh.inc line 171

`type EInvalidPointer = class(EHeapMemoryError)`

## Inheritance

`EInvalidPointer` |  | Invalid pointer operation
`EHeapMemoryError` |  | Heap memory error
`Exception` |  | Base class of all exceptions.
`TObject`

## Description

EInvalidPointer is raised when an invalid heap pointer is used.

## See also

EHeapException |  | Heap exception
EHeapMemoryError |  | Heap memory error
EOutOfMemory |  | Out of memory error.